%{?mingw_package_header}

%define libname SDL2_net

Name:           mingw-%{libname}
Version:        2.0.1
Release:        %mkrel 3
Summary:        MinGW Windows port of Simple DirectMedia Layer's Network Support Library

License:        zlib
Group:          Development/Other
URL:            http://www.libSDL.org/projects/SDL_net/
Source0:        http://www.libSDL.org/projects/SDL_net/release/%{libname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-SDL2

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-SDL2

%description
Small cross-platform networking library for SDL2 programs.


# Win32
%package -n mingw32-%{libname}
Summary:        MinGW Windows port of Simple DirectMedia Layer's Network Support Library

%description -n mingw32-%{libname}
Small cross-platform networking library for SDL2 programs.

# Win64
%package -n mingw64-%{libname}
Summary:        MinGW Windows port of Simple DirectMedia Layer's Network Support Library

%description -n mingw64-%{libname}
Small cross-platform networking library for SDL2 programs.


# Automatically create a debuginfo package
%?mingw_debug_package


%prep
%setup -q -n %{libname}-%{version}


%build
%mingw_configure \
    --disable-static

%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Drop all .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-%{libname}
%doc README.txt CHANGES.txt COPYING.txt
%{mingw32_bindir}/%{libname}.dll
%{mingw32_libdir}/lib%{libname}.dll.a
%{mingw32_libdir}/pkgconfig/%{libname}.pc
%{mingw32_includedir}/SDL2

# Win64
%files -n mingw64-%{libname}
%doc README.txt CHANGES.txt COPYING.txt
%{mingw64_bindir}/%{libname}.dll
%{mingw64_libdir}/lib%{libname}.dll.a
%{mingw64_libdir}/pkgconfig/%{libname}.pc
%{mingw64_includedir}/SDL2


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1492095
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1264440
- Mageia 7 Mass Rebuild

* Sat Apr 08 2017 akien <akien> 2.0.1-1.mga6
+ Revision: 1096110
- create mingw-SDL2_net based off mingw-SDL2_mixer

